Package org.opensaml.security.messaging

# Class HttpClientSecurityContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.security.messaging.HttpClientSecurityContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class HttpClientSecurityContext extends BaseContext
A context implementation holding parameters related to `HttpClient` security features.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private HttpClientSecurityParameters`
`securityParameters`
The HttpClient security parameters instance.
`private Function<MessageContext,CriteriaSet>`
`tlsCriteriaSetStrategy`
TLS criteria strategy function.

## Constructor Summary

Constructors
Constructor
Description
`HttpClientSecurityContext()`

## Method Summary

Modifier and Type
Method
Description
`HttpClientSecurityParameters`
`getSecurityParameters()`
Get the `HttpClientSecurityParameters` instance.
`Function<MessageContext,CriteriaSet>`
`getTLSCriteriaSetStrategy()`
Get the TLS criteria strategy function.
`HttpClientSecurityContext`
`setSecurityParameters(HttpClientSecurityParameters parameters)`
Set the `HttpClientSecurityParameters` instance.
`HttpClientSecurityContext`
`setTLSCriteriaSetStrategy(Function<MessageContext,CriteriaSet> strategy)`
Set the TLS criteria strategy function.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### securityParameters

@Nullable private HttpClientSecurityParameters securityParameters
The HttpClient security parameters instance.

### tlsCriteriaSetStrategy

@Nullable private Function<MessageContext,CriteriaSet> tlsCriteriaSetStrategy
TLS criteria strategy function.

## Constructor Details

### HttpClientSecurityContext

public HttpClientSecurityContext()

## Method Details

### getSecurityParameters

@Nullable public HttpClientSecurityParameters getSecurityParameters()
Get the `HttpClientSecurityParameters` instance.

Returns:
  the parameters instance, or null

### setSecurityParameters

@Nonnull public HttpClientSecurityContext setSecurityParameters(@Nullable HttpClientSecurityParameters parameters)
Set the `HttpClientSecurityParameters` instance.

Parameters:
  `parameters` - the parameters instance, or null
Returns:
  this context

### getTLSCriteriaSetStrategy

@Nullable public Function<MessageContext,CriteriaSet> getTLSCriteriaSetStrategy()
Get the TLS criteria strategy function.

Returns:
  the strategy function, or null

### setTLSCriteriaSetStrategy

@Nonnull public HttpClientSecurityContext setTLSCriteriaSetStrategy(@Nullable Function<MessageContext,CriteriaSet> strategy)
Set the TLS criteria strategy function.

Parameters:
  `strategy` - the strategy function instance, or null
Returns:
  this context